# Class DatabricksSQLFeatureNotImplementedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
com.databricks.jdbc.exception.DatabricksSQLException
com.databricks.jdbc.exception.DatabricksSQLFeatureNotImplementedException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class DatabricksSQLFeatureNotImplementedException extends DatabricksSQLException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DatabricksSQLFeatureNotImplementedException(String reason)`

## Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### DatabricksSQLFeatureNotImplementedException

public DatabricksSQLFeatureNotImplementedException(String reason)